--- old/usr/src/man/man1m/soconfig.1m	2014-04-14 11:41:19.354763857 +0000
+++ new/usr/src/man/man1m/soconfig.1m	2014-04-14 11:41:19.377357862 +0000
@@ -3,18 +3,23 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SOCONFIG 1M "Oct 29, 2008"
+.TH SOCONFIG 1M "Apr 12, 2014"
 .SH NAME
 soconfig \- configure transport providers for use by sockets
 .SH SYNOPSIS
 .LP
 .nf
+\fB/sbin/soconfig\fR \fB-d\fR \fIdir\fR
+.fi
+
+.LP
+.nf
 \fB/sbin/soconfig\fR \fB-f\fR \fIfile\fR
 .fi
 
 .LP
 .nf
-\fB/sbin/soconfig\fR \fIfamily\fR \fItype\fR \fIprotocol\fR [\fIpath\fR]
+\fB/sbin/soconfig\fR \fIfamily\fR \fItype\fR \fIprotocol\fR [\fImodule\fR | \fIpath\fR]
 .fi
 
 .SH DESCRIPTION
@@ -27,8 +32,8 @@
 remove a previous mapping.
 .sp
 .LP
-The \fBinit\fR(1M) utility uses \fBsoconfig\fR with the \fBsock2path\fR(4) file
-during the booting sequence.
+The \fBinit\fR(1M) utility uses \fBsoconfig\fR with the \fBsock2path.d\fR(4)
+directory during the booting sequence.
 .SH OPTIONS
 .sp
 .LP
@@ -36,6 +41,17 @@
 .sp
 .ne 2
 .na
+\fB\fB-d\fR \fIdir\fR\fR
+.ad
+.RS 11n
+Set up the soconfig configuration for each driver
+according  to  the  information stored in the
+files in dir.
+.RE
+
+.sp
+.ne 2
+.na
 \fB\fB-f\fR \fIfile\fR\fR
 .ad
 .RS 11n
@@ -43,7 +59,7 @@
 information stored in \fBfile\fR. A \fBsoconfig\fR file consists of lines of at
 least the first three fields listed below, separated by spaces:
 .sp
-\fIfamily  type  protocol  path\fR
+\fIfamily  type  protocol  [module | path]\fR
 .sp
 These fields are described in the \fBOPERANDS\fR section below.
 .sp
@@ -156,16 +172,17 @@
 .sp
 .ne 2
 .na
-\fB\fB/etc/sock2path\fR\fR
+\fB\fB/etc/sock2path.d\fR\fR
 .ad
 .RS 18n
-File containing mappings from sockets to transport providers.
+Directory containing files with mappings from
+sockets  to transport providers.
 .RE
 
 .SH SEE ALSO
 .sp
 .LP
-\fBinit\fR(1M), \fBsock2path\fR(4), \fBattributes\fR(5)
+\fBinit\fR(1M), \fBsock2path.d\fR(4), \fBattributes\fR(5)
 .sp
 .LP
 \fINetwork Interface Guide\fR
--- old/usr/src/man/man4/Makefile	2014-04-14 11:41:19.711987633 +0000
+++ new/usr/src/man/man4/Makefile	2014-04-14 11:41:19.721529295 +0000
@@ -186,7 +186,7 @@
 		smbautohome.4			\
 		smhba.conf.4			\
 		sndr.4				\
-		sock2path.4			\
+		sock2path.d.4			\
 		space.4				\
 		ssh_config.4			\
 		sshd_config.4			\
--- old/usr/src/man/man4/sock2path.4	2014-04-14 11:41:19.971101947 +0000
+++ /dev/null	2014-04-14 11:35:12.000000000 +0000
@@ -1,58 +0,0 @@
-'\" te
-.\" Copyright (c) 2008, Sun Microsystems, Inc.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SOCK2PATH 4 "Nov 4, 2008"
-.SH NAME
-sock2path \- socket mapping file that maps sockets to transport providers
-.SH SYNOPSIS
-.LP
-.nf
-\fB/etc/sock2path\fR
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The socket mapping file, \fB/etc/sock2path\fR, is a system file that contains
-the mappings between the \fBsocket\fR(3SOCKET) call parameters and the
-transport provider driver. Its format is described on the \fBsoconfig\fR(1M)
-manual page.
-.sp
-.LP
-The \fBinit\fR(1M) utility uses the \fBsoconfig\fR utility with the
-\fBsock2path\fR file during the boot sequence.
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRAn Example of the \fBsock2path\fR File
-.sp
-.LP
-The following is an example of a \fBsock2path\fR file:
-
-.sp
-.in +2
-.nf
-# Family    Type    Protocol    Module | Path
-     2       2         0          tcp
-     2       2         6          tcp
-     26      2         0          tcp
-     26      2         6          tcp
-     2       1         0          udp
-     2       1        17          udp
-    26       1         0          udp
-    26       1        17          udp
-     1       2         0          /dev/ticotsord
-     1       6         0          /dev/ticotsord
-     1       1         0          /dev/ticlts
-     2       4         0          icmp
-    26       4         0          icmp
-    24       4         0          rts
-    27       4         2          /dev/keysock
-.fi
-.in -2
-
-.SH SEE ALSO
-.sp
-.LP
-\fBinit\fR(1M), \fBsoconfig\fR(1M), \fBsocket\fR(3SOCKET)
--- /dev/null	2014-04-14 11:35:12.000000000 +0000
+++ new/usr/src/man/man4/sock2path.d.4	2014-04-14 11:41:19.980695407 +0000
@@ -0,0 +1,58 @@
+'\" te
+.\" Copyright (c) 2008, Sun Microsystems, Inc.
+.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
+.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
+.TH SOCK2PATH.D 4 "Apr 12, 2014"
+.SH NAME
+sock2path.d \- socket mapping files that map sockets to transport providers
+.SH SYNOPSIS
+.LP
+.nf
+\fB/etc/sock2path.d\fR
+.fi
+
+.SH DESCRIPTION
+.sp
+.LP
+/etc/sock2path.d is a directory containing files with mappings
+between the socket(3SOCKET) call parameters and the transport
+provider driver.  The mapping file format is described in the
+soconfig(1M) manual page.
+.sp
+.LP
+The \fBinit\fR(1M) utility uses the \fBsoconfig\fR utility with the
+\fBsock2path.d\fR directory during the boot sequence.
+.SH EXAMPLES
+.LP
+\fBExample 1 \fRAn Example of a Mapping File
+.sp
+.LP
+The following is an example of a mapping file:
+
+.sp
+.in +2
+.nf
+# Family    Type    Protocol    Module | Path
+     2       2         0          tcp
+     2       2         6          tcp
+     26      2         0          tcp
+     26      2         6          tcp
+     2       1         0          udp
+     2       1        17          udp
+    26       1         0          udp
+    26       1        17          udp
+     1       2         0          /dev/ticotsord
+     1       6         0          /dev/ticotsord
+     1       1         0          /dev/ticlts
+     2       4         0          icmp
+    26       4         0          icmp
+    24       4         0          rts
+    27       4         2          /dev/keysock
+.fi
+.in -2
+
+.SH SEE ALSO
+.sp
+.LP
+\fBinit\fR(1M), \fBsoconfig\fR(1M), \fBsocket\fR(3SOCKET)
--- old/usr/src/pkg/manifests/system-kernel.man4.inc	2014-04-14 11:41:20.221694032 +0000
+++ new/usr/src/pkg/manifests/system-kernel.man4.inc	2014-04-14 11:41:20.230540779 +0000
@@ -23,7 +23,7 @@
 file path=usr/share/man/man4/process.4
 file path=usr/share/man/man4/pseudo.4
 file path=usr/share/man/man4/scsi.4
-file path=usr/share/man/man4/sock2path.4
+file path=usr/share/man/man4/sock2path.d.4
 file path=usr/share/man/man4/system.4
 file path=usr/share/man/man4/tnf_kernel_probes.4
 file path=usr/share/man/man4/ts_dptbl.4
